### Method

# Gtk TreeModelfilter_new

deprecated: 4.10

#### Declaration [src]

    GtkTreeModel*
    gtk_tree_model_filter_new (
      GtkTreeModel* child_model,
      GtkTreePath* root
    )

#### Description [src]

Creates a new `GtkTreeModel`, with `child_model` as the child_model and `root` as the virtual root.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`root`

  Type: `GtkTreePath`

  A `GtkTreePath`

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `GtkTreeModel`

A new `GtkTreeModel`.

The caller of the method takes ownership of the data, and is responsible for freeing it.